Home
last modified time | relevance | path

Searched refs:tmpfile (Results 1 – 25 of 57) sorted by relevance

123

/freebsd-9-stable/cddl/contrib/opensolaris/cmd/dtrace/test/tst/common/funcs/
Dtst.freopen.ksh30 $dtrace -wq -o $tmpfile -s /dev/stdin $tmpfile <<EOF
56 if [ -f $tmpfile ]; then
57 rm $tmpfile
61 if [ -f $tmpfile.$i ]; then
62 rm $tmpfile.$i
74 tmpfile=/tmp/tst.freopen.$$
82 if [ -f $tmpfile.$iter ]; then
83 echo "$0: did not expect to find file: $tmpfile.$iter"
88 mv $tmpfile $tmpfile.$iter
92 if [ ! -f $tmpfile.$i ]; then
[all …]
Dtst.badfreopen.ksh30 $dtrace -wq -o $tmpfile -s /dev/stdin 2> $errfile <<EOF
75 tmpfile=/tmp/tst.badfreopen.$$
82 i=`cat $tmpfile`
85 echo "$0: unexpected contents in $tmpfile: " \
100 rm $tmpfile $errfile
Dtst.ftruncate.ksh30 $dtrace -q -o $tmpfile -s /dev/stdin <<EOF
56 tmpfile=/tmp/tst.ftruncate.$$
61 cat $tmpfile
62 rm $tmpfile
/freebsd-9-stable/contrib/sendmail/contrib/
Ddoublebounce.pl42 use vars qw( $opt_d $tmpfile);
104 open(MSG, "<$tmpfile");
128 $tmpfile = tmpnam();
130 if (!open(MSG, ">$tmpfile")) {
131 syslog('err', "Unable to open temporary file $tmpfile");
136 if (!open(MSG, "<$tmpfile")) {
137 syslog('err', "Unable to reopen temporary file $tmpfile");
220 unlink($tmpfile);
/freebsd-9-stable/cddl/compat/opensolaris/misc/
Dfsshare.c153 char tmpfile[PATH_MAX]; in fsshare_main() local
165 if (strlcpy(tmpfile, file, sizeof(tmpfile)) >= sizeof(tmpfile)) in fsshare_main()
167 if (strlcat(tmpfile, ".XXXXXXXX", sizeof(tmpfile)) >= sizeof(tmpfile)) in fsshare_main()
169 fd = mkstemp(tmpfile); in fsshare_main()
220 unlink(tmpfile); in fsshare_main()
222 if (rename(tmpfile, file) == -1) { in fsshare_main()
224 unlink(tmpfile); in fsshare_main()
/freebsd-9-stable/contrib/cvs/contrib/
Dsccs2rcs.in102 set tmpfile = /tmp/sccs2rcs_$$_tmp
103 rm -f $tmpfile
233 sed -f $sedfile $file > $tmpfile
236 cp $tmpfile $file
258 cat > $tmpfile
259 ci -f -r$rev -d"$date" -w$author -t$tmpfile $file < $initialfile >>& $logfile
275 sccs prs -r$rev $file | grep "." > $tmpfile
278 ed $tmpfile >>& $logfile <<EOF
284 ci -f -r$rev -d"$date" -w$author $file < $tmpfile >>& $logfile
300 rm -f $tmpfile $emptyfile $initialfile $sedfile
[all …]
Drcs2sccs.sh25 tmpfile=/tmp/rcs2sccs_$$_tmp
26 rm -f $tmpfile
51 sed -e 's/;/\\$/g' $sedfile > $tmpfile
52 cp $tmpfile $sedfile
89 sed -f $sedfile $file > $tmpfile
96 cp $tmpfile $file
133 sed -e "s;^d D $rev ../../.. ..:..:.. [^ ][^ ]*;d D $rev $date $author;" SCCS/s.$file > $tmpfile
135 cp $tmpfile SCCS/s.$file
151 rm -f $tmpfile $emptyfile $initialfile $sedfile $commentfile
/freebsd-9-stable/include/
Dmk-osreldate.sh33 tmpfile=$(mktemp osreldate.XXXXXXXX)
34 trap "rm -f $tmpfile" EXIT
42 cat > $tmpfile <<EOF
51 chmod 644 $tmpfile
52 mv $tmpfile osreldate.h
/freebsd-9-stable/cddl/contrib/opensolaris/cmd/dtrace/test/tst/common/pid/
Dtst.manypids.ksh46 tmpfile=/tmp/dtest.$$
58 echo "tick-1sec\n{\n\texit(0);\n}\n" > $tmpfile
61 echo "pid${pids[$i]}::malloc:entry\n{}\n" >> $tmpfile
65 $dtrace -s $tmpfile
68 rm $tmpfile
/freebsd-9-stable/tools/debugscripts/
Dkgdb58 tmpfile="/tmp/kgdb.asf.$$"
63 python $kld_debpy "$kernsrc" "$core" $@ > "$tmpfile" &&
65 echo "source $tmpfile"
67 rm "$tmpfile"
/freebsd-9-stable/tools/regression/ia64/emulated/
Dbrl.t42 local $tmpfile = "/tmp/" . $$ . "_$test";
45 $st = system("cc -o $tmpfile -DTYPE=$type -DPRED=$pred -DVAR=$var -Wall -O1 -g $srcdir/test.c");
50 $st = system($tmpfile);
65 unlink $tmpfile;
/freebsd-9-stable/tools/regression/ia64/unaligned/
Dunaligned.t41 local $tmpfile = "/tmp/" . $$ . "_$test";
44 …$st = system("cc -o $tmpfile -DACCESS=$access -DTYPE=$type -DSIZE=$size -DPOSTINC=$postinc -Wall -…
49 $st = system($tmpfile);
67 unlink $tmpfile;
/freebsd-9-stable/cddl/contrib/opensolaris/cmd/dtrace/test/tst/common/pragma/
Dtst.libdepfullyconnected.ksh41 tmpfile=/tmp/libdeporder.$$
67 DTRACE_DEBUG=1 $dtrace -L$libdir -e >$tmpfile 2>&1
69 perl /dev/stdin $tmpfile <<EOF
99 rm $tmpfile
/freebsd-9-stable/usr.sbin/bsdconfig/console/
Dttys131 f_eval_catch -d $funcname chmod 'chmod "%s" "%s"' "$mode" "$tmpfile"
132 f_eval_catch -d $funcname chown 'chown "%s" "%s"' "$owner" "$tmpfile"
160 ' "$ETC_TTYS" > "$tmpfile" 2>&1 ); then
164 f_eval_catch $funcname mv 'mv -f "%s" "%s"' "$tmpfile" "$ETC_TTYS" ||
/freebsd-9-stable/usr.sbin/bsdconfig/share/
Dsysrc.subr482 local tmpfile
483 if ! f_eval_catch -dk tmpfile $funcname mktemp 'mktemp -t "%s"' "$pgm"
485 echo "$tmpfile" >&2
498 f_eval_catch -d $funcname chmod 'chmod "%s" "%s"' "$mode" "$tmpfile"
508 f_eval_catch -d $funcname chown 'chown "%s" "%s"' "$owner" "$tmpfile"
522 echo "$new_contents" | tail -r > "$tmpfile" || return $FAILURE
524 echo "$varname=\"$new_value\"" >> "$tmpfile"
530 if ! f_eval_catch -d $funcname sh '/bin/sh -n "%s"' "$tmpfile"; then
532 rm -f "$tmpfile"
539 f_eval_catch -de $funcname mv 'mv "%s" "%s"' "$tmpfile" "$file"
[all …]
/freebsd-9-stable/contrib/groff/contrib/gdiffmk/tests/
Druntests.in39 tmpfile=/tmp/$$
46 ${command} ${srcdir}/file1 ${srcdir}/file2 ${ResultFile} 2>${tmpfile}
47 cat ${tmpfile} >>${ResultFile}
/freebsd-9-stable/usr.sbin/bsdconfig/networking/share/
Dresolv.subr200 local tmpfile
201 f_eval_catch -dk tmpfile $funcname mktemp \
202 'mktemp -t "%s"' "$tmpfile" || return $DIALOG_CANCEL
217 'chmod "%s" "%s"' "$mode" "$tmpfile"
219 'chown "%s" "%s"' "$owner" "$tmpfile"
248 echo "$new_contents" | tail -r > "$tmpfile" ||
251 'mv "%s" "%s"' "$tmpfile" "$RESOLV_CONF"
359 local tmpfile
360 f_eval_catch -dk tmpfile $funcname mktemp \
373 'chmod "%s" "%s"' "$mode" "$tmpfile"
[all …]
/freebsd-9-stable/contrib/ntp/scripts/monitoring/
Dntploopwatch187 $tmpfile = "/tmp/ntpstat.$$";
209 unlink($tmpfile);
223 unlink($tmpfile);
310 ($c eq 'exit') && (unlink($tmpfile),die("$0: exit by config request\n"));
508 ($doplot .= sprintf($fmt,$c,$tmpfile,2,
515 ($doplot .= sprintf($fmt,$c,$tmpfile,4,
528 ($doplot .= sprintf($fmt,$c,$tmpfile,3,
1452 unlink($tmpfile);
1456 @filepos = &genfile($samples,$srcprefix,$tmpfile,$lo,$lf,@filepos);
1479 unlink($tmpfile);
/freebsd-9-stable/sbin/gvinum/
Dgvinum.c184 char original[BUFSIZ], tmpfile[20], *token[GV_MAXARGS]; in gvinum_create() local
204 snprintf(tmpfile, sizeof(tmpfile), "/tmp/gvinum.XXXXXX"); in gvinum_create()
206 if ((fd = mkstemp(tmpfile)) == -1) { in gvinum_create()
211 warn("can't open '%s' for writing", tmpfile); in gvinum_create()
222 tmpfile); in gvinum_create()
229 if ((tmp = fopen(tmpfile, "r")) == NULL) { in gvinum_create()
230 warn("can't open '%s' for reading", tmpfile); in gvinum_create()
389 unlink(tmpfile); in gvinum_create()
/freebsd-9-stable/contrib/cvs/src/
Dimport.c71 char *tmpfile; local
326 if ((logfp = cvs_temp_file (&tmpfile)) == NULL)
328 tmpfile ? tmpfile : "(null)");
333 (void) CVS_UNLINK (tmpfile);
413 error (0, errno, "error closing %s", tmpfile);
417 if (CVS_UNLINK (tmpfile) < 0 && !existence_error (errno))
418 error (0, errno, "cannot remove %s", tmpfile);
419 free (tmpfile);
/freebsd-9-stable/contrib/libstdc++/include/c_std/
Dstd_cstdio.h91 #undef tmpfile
138 using ::tmpfile;
/freebsd-9-stable/contrib/groff/src/libs/libgroff/
DMakefile.sub45 tmpfile.$(OBJEXT) \
87 $(srcdir)/tmpfile.cpp \
/freebsd-9-stable/lib/libc/stdio/
Dtmpfile.c51 tmpfile() in tmpfile() function
DMakefile.inc22 tempnam.c tmpfile.c \
81 MLINKS+=tmpnam.3 tempnam.3 tmpnam.3 tmpfile.3
/freebsd-9-stable/contrib/libstdc++/include/c/
Dstd_cstdio.h77 #undef tmpfile

123